#!/usr/bin/env python

import sys
from math import sqrt

def mean_sigma(x):
    s = 0.0
    n = len(x)
    for i in xrange(0,n):
        s += x[i]
    m = s/n

    s = 0.0
    for i in xrange(0,n):
        s += (x[i]-m)**2
    if n > 1:
        s = sqrt(s)/(n-1)

    return m, s

def read_file(filename, outfile):
    f = open(filename, "r")

    x = {}
    for line in f.readlines():
        l = line.split()
        i = int(l[0])
        for j in xrange(1,len(l)):
            key = (i,j)
            if key not in x:
                x[key] = []
            x[key].append(float(l[j]))
            
    f.close()

    f = open(outfile, "w")
    f.write("""# 1 .. id
# 2 .. number_of_data
# 3 .. mean_1
# 4 .. sigma_1
# 5 .. mean_2
# 6 .. sigma_2, etc.
#  id   n     t             sigma_t        a_l_c [au]    sigma_a        e             sigma_e       I [deg]        sigma_I      Omega [deg]    sigma_Omega   omega [deg]    sigma_omega     -             -             -              -              t [Myr]       sigma_t        da [au]       sigma_da       f_lib [deg/yr] sigma_f      D [deg]        sigma_D        -             -              -             -              -             -
""")

    for key in sorted(x.keys()):
        i, j = key
        n = len(x[key])
        try:
            m, s = mean_sigma(x[key])
        except ZeroDivisionError as ex:
            print ex
            m = 0.0
            s = 0.0

#        print i, j, n, m, s  # dbg

        if j == 1:
            f.write("\n")
            f.write("%5d %3d  " % (i, n))
        f.write
        f.write("%13.8f %13.8f  " % (m, s))

    f.close()

def main():
    read_file("follow.proper.out_dfD", "follow.proper.out_mea")

if __name__ == "__main__":
    main()

