#!/usr/bin/env python

import sys
from math import sqrt

astorb = open("astorb_follow.dat.mea", "r")
syn = open("astorb_follow.syn.mea", "w")

syn.write("""# astorb_follow.syn.mea
# 1 .. number
# 2 .. designation
# 3 .. TPid []
# 4 .. n_data []
# 5 .. t_integration [Myr]
# 6 .. a_libration_centre [au]
# 7 .. sigma_a
# 8 .. e []
# 9 .. sigma_e
# 10 .. I [deg]
# 11 .. sigma_I
# 12 .. da_libration_amplitude [au]
# 13 .. sigma_da
# 14 .. f_lib ["/yr]
# 15 .. sigma_f
# 16 .. D_lib [deg]
# 17 .. sigma_D
# 18 .. a+da [au]
# 19 .. sigma_ada
""")

for line in astorb:
    l = line.split()
    num       = l[0]
    dsg       = l[1]
    id        = l[33]
    n         = l[34]
    t         = l[35]
    a         = l[37]
    sigma_a   = l[38]
    e         = l[39]
    sigma_e   = l[40]
    inc       = l[41]
    sigma_inc = l[42]
    da        = l[53]
    sigma_da  = l[54]
    f         = l[55]
    sigma_f   = l[56]
    D         = l[57]
    sigma_D   = l[58]
    if a != '?':
        a_da = "%22.16f" % (float(a)+float(da))
        sigma_ada = "%22.16f" % (sqrt(float(sigma_a)**2+float(sigma_da)**2))
    else:
        a_da = '?'
        sigma_ada = '?'

    syn.write("%6s %-12s %5s %s %s  %s %s  %s %s  %s %s  %s %s  %s %s  %s %s  %s %s\n" % (num, dsg, id, n, t, a, sigma_a, e, sigma_e, inc, sigma_inc, da, sigma_da, f, sigma_f, D, sigma_D, a_da, sigma_ada))

astorb.close()
syn.close()


